Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class CreateConnectionViewRequest.ConnectionViewDescriptor

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.requests.CreateViewRequest.ViewDescriptor
          org.eclipse.gmf.runtime.diagram.ui.requests.CreateConnectionViewRequest.ConnectionViewDescriptor

All Implemented Interfaces:
  IAdaptable

Direct Known Subclasses:
  CreateConnectionViewAndElementRequest.ConnectionViewAndElementDescriptor

Enclosing class:
  CreateConnectionViewRequest

public static class CreateConnectionViewRequest.ConnectionViewDescriptor
extends CreateViewRequest.ViewDescriptor

A specialized view descriptor for connection views

Constructor Summary
`CreateConnectionViewRequest.ConnectionViewDescriptor(IAdaptable elementAdapter, boolean persisted, PreferencesHint preferencesHint)` Constructor.
`CreateConnectionViewRequest.ConnectionViewDescriptor(IAdaptable elementAdapter, PreferencesHint preferencesHint)` Constructor.
`CreateConnectionViewRequest.ConnectionViewDescriptor(IAdaptable elementAdapter, java.lang.String semanticHint, boolean persisted, PreferencesHint preferencesHint)` Constructor.
`CreateConnectionViewRequest.ConnectionViewDescriptor(IAdaptable elementAdapter, java.lang.String semanticHint, int index, boolean persisted, PreferencesHint preferencesHint)` Constructor.
`CreateConnectionViewRequest.ConnectionViewDescriptor(IAdaptable elementAdapter, java.lang.String semanticHint, int index, PreferencesHint preferencesHint)` Constructor.
`CreateConnectionViewRequest.ConnectionViewDescriptor(IAdaptable elementAdapter, java.lang.String semanticHint, PreferencesHint preferencesHint)` Constructor.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.requests.CreateViewRequest.ViewDescriptor
`getAdapter, getElementAdapter, getIndex, getPreferencesHint, getSemanticHint, getViewKind, isPersisted, setPersisted, setView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateConnectionViewRequest.ConnectionViewDescriptor

    public CreateConnectionViewRequest.ConnectionViewDescriptor(IAdaptable elementAdapter,
                                                                PreferencesHint preferencesHint)

  Constructor.

Parameters:
  `elementAdapter` -
  `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

### CreateConnectionViewRequest.ConnectionViewDescriptor

    public CreateConnectionViewRequest.ConnectionViewDescriptor(IAdaptable elementAdapter,
                                                                boolean persisted,
                                                                PreferencesHint preferencesHint)

  Constructor.

Parameters:
  `elementAdapter` -
  `persisted` - indicates if ths connector will be created as a persisted connector or transient connector
  `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

### CreateConnectionViewRequest.ConnectionViewDescriptor

    public CreateConnectionViewRequest.ConnectionViewDescriptor(IAdaptable elementAdapter,
                                                                java.lang.String semanticHint,
                                                                PreferencesHint preferencesHint)

  Constructor.

Parameters:
  `elementAdapter` -
  `semanticHint` -
  `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

### CreateConnectionViewRequest.ConnectionViewDescriptor

    public CreateConnectionViewRequest.ConnectionViewDescriptor(IAdaptable elementAdapter,
                                                                java.lang.String semanticHint,
                                                                boolean persisted,
                                                                PreferencesHint preferencesHint)

  Constructor.

Parameters:
  `elementAdapter` -
  `semanticHint` -
  `persisted` - Indicates if the connector will be created as a transient or persisted connector
  `preferencesHint` - The preference hint that is to be used to find the appropriate preference store from which to retrieve diagram preference values. The preference hint is mapped to a preference store in the preference registry <@link DiagramPreferencesRegistry>.

### CreateConnectionViewRequest.ConnectionViewDescriptor

    public CreateConnectionViewRequest.ConnectionViewDescriptor(IAdaptable elementAdapter,
                                                                java.lang.String semanticHint,
                                                                int index,
                                                                PreferencesHint preferencesHint)

  Constructor.

Parameters:
  `elementAdapter` -
  `semanticHint` -
  `index` -

### CreateConnectionViewRequest.ConnectionViewDescriptor

    public CreateConnectionViewRequest.ConnectionViewDescriptor(IAdaptable elementAdapter,
                                                                java.lang.String semanticHint,
                                                                int index,
                                                                boolean persisted,
                                                                PreferencesHint preferencesHint)

  Constructor.

Parameters:
  `elementAdapter` -
  `semanticHint` -
  `index` -
  `persisted` - flag to indicate if this view will be persisted or not

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.